
CoCoALib - Feature #949

New function: IdealWithIncrementalGBasis(I, f)

18 Oct 2016 17:49 - Anna Maria Bigatti

Status: New Start date: 18 Oct 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.00 hour

Description

(from SC^2)

We could (easily?) implement a function doing an incremental GBasis: if I has GBasis GB, and we add a polynomial f, we just have

to consider the pairs coming from f.

Tecnhically not too hard, but what should the syntax be?

In fact we want to get the new ideal together with its GBasis, so what would make most sense would be to return the ideal: precisely

IdealWithIncrementalGBasis(I, f), a bit long, but is it clear?

[this is interesting for the SC-SQUARE project]

Related issues:

Related to CoCoALib - Feature #957: New function: HasGBasis Closed 27 Oct 2016

History

#1 - 12 Jan 2017 15:13 - Anna Maria Bigatti

- Related to Feature #957: New function: HasGBasis added

#2 - 06 Nov 2017 14:02 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#3 - 31 Jul 2018 13:27 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#4 - 01 Oct 2019 12:07 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99800

#5 - 03 Nov 2021 16:57 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#6 - 16 Feb 2024 18:03 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
